﻿# NetworkResurrector.Agent.PublishedLanguage

[NetworkResurrector.Agent](https://lab.code-rove.com/gitea/tudor.stanciu/network-resurrector/src/branch/master/backend/src/agent) is a .NET service specialized in executing **Shutdown**, **Restart**, **Sleep**, **Logout** and **Lock** actions on the host machine on which it is installed.

***NetworkResurrector.Agent.PublishedLanguage*** is a nuget package that contains NetworkResurrector.Agent's published language. It facilitates communication with an instance of the agent in a .NET environment by exposing DTOs (Data Transfer Objects) and constants.

## Package repository
NetworkResurrector.Agent.PublishedLanguage can be installed from my self hosted NuGet feed: https://lab.code-rove.com/public-nuget-server/

## Installation

### Visual Studio

#### NuGet.config file
```xml=!
<?xml version="1.0" encoding="utf-8"?>
<configuration>
  <packageSources>
    <clear />
    <add key="nuget.org" value="https://api.nuget.org/v3/index.json" />
    <add key="lab.nuget" value="https://lab.code-rove.com/public-nuget-server/v3/index.json" />
  </packageSources>
</configuration>
```

Configure the above file in the Visual Studio solution or set the new NuGet feed in NuGet Package Manager. After one of these steps, NetworkResurrector.Agent.PublishedLanguage can be installed using NuGet Package Manager.


### CLI

```bash=!
dotnet add package NetworkResurrector.Agent.PublishedLanguage --source https://lab.code-rove.com/public-nuget-server/v3/index.json
```

Run the above command in a console open in a .NET project directory.